<?php
if (!defined('_PS_VERSION_'))
  exit;
  
  class BoughtAlert extends Module
  
  { 
  
  public function __construct()
  {
    $this->name = 'boughtalert';
    $this->tab = 'front_office_features';
    $this->version = '1.0.0';
    $this->author = 'InnovativesLabs';
    $this->need_instance = 0;
    $this->ps_versions_compliancy = array('min' => '1.5', 'max' => '1.7');
    $this->bootstrap = true;
 
    parent::__construct();
 
    $this->displayName = $this->l('Bought Alert');
    $this->description = $this->l('Displaying message like: you have already purchased this product.');
 
    $this->confirmUninstall = $this->l('Are you sure you want to uninstall?'); 
    
  }
  
  
  
  public function install()
{
  if (Shop::isFeatureActive())
    Shop::setContext(Shop::CONTEXT_ALL);
 
  if (!parent::install() ||
    !$this->registerHook('DisplayFooterProduct') ||
	!$this->registerHook('displayTop') ||
    !$this->registerHook('header')    
  )
    return false;
 
  return true;
}
       public function uninstall()
    {
        if (!parent::uninstall()         
           )
                return false;
 
           return true;
    }
  
        public function getContent()
    {
           $output = null;
 
          if (Tools::isSubmit('submit'.$this->name))
      {
        $my_module_name ='';
        if (!$my_module_name || empty($my_module_name) || !Validate::isGenericName($my_module_name))
            $output .= $this->displayError($this->l('Invalid Configuration value'));
        else
        {
            
            $output .= $this->displayConfirmation($this->l('Settings updated'));
        }
      }
            return $output.$this->innovativesLabs();
    }   
  
    
    public function hookDisplayFooterProduct($params)
    {
         return $this->BoughtAlert();
    }
   
    public function hookdisplayTop($params)
    {
	  return $this->BoughtAlert();
	}
   
    public function hookDisplayHeader()
   {
        $this->context->controller->addCSS(($this->_path).'css/bought_alert.css', 'all');
    }  	
	
	   public function BoughtAlert(){
	
	   $id_product=(int)Tools::getValue('id_product');
  
          if($this->context->customer->id) 
     {
          $boughted_products = $this->context->customer->getBoughtProducts();
        if($boughted_products)
        {
           foreach ($boughted_products as $product) {
 
            if($product['product_id'] = $id_product)
            {
                $this->context->smarty->assign(array(
                    'boughted_on_date'=> $product['date_add']
                ));
            }
        }
       }
    }
     return $this->display(__FILE__, '/bought_alert.tpl');
  
   }
  
  public function innovativesLabs(){
  
  return $this->display(__FILE__, 'innovativeslabs.tpl');
  
  }
  
  }

